API Reference
Get topic prompts (visibility, competition)
GET
header
X-API-Key<token>API Key for programmatic access
domainId*stringtopicId*stringTopic prompts
application/json- response
visibilityPrompts*array<>Prompts run for visibility analysis
competitionPrompts*array<>Prompts run for competition analysis
updatedAt*stringWhen the topic was last modified
Format
date-timecreatedAt?stringWhen the topic was created
Format
date-timecurl -X GET 'https://api.getmint.ai/api/domains/string/topics/string/prompts'{ "visibilityPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "modules": [ "visibility", "shopping" ], "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "competitionPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "modules": [ "visibility", "shopping" ], "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "updatedAt": "2026-05-25T10:30:00.000Z", "createdAt": "2026-05-25T10:30:00.000Z"}